> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Shipping

> Retrieve the selected (active) shipping method for an order by order ID.



## OpenAPI

````yaml GET /orders/{id}/shipping
openapi: 3.1.0
info:
  title: bitbybit Open API
  description: >-
    The bitbybit Open API provides programmatic access to your bitbybit data
    including customers, orders, and products.
  version: 1.0.0
  contact:
    name: bitbybit Support
    url: https://bitbybit.studio
servers:
  - url: https://api.bitbybit.studio/customer/api/open/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /orders/{id}/shipping:
    get:
      tags:
        - Orders
      summary: Get Order Shipping
      description: Retrieve the selected (active) shipping method for an order by order ID.
      operationId: getOrderShippingMethod
      parameters:
        - name: id
          in: path
          required: true
          description: Order ID — the unique identifier of the order.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - $ref: '#/components/schemas/OrderShippingMethod'
                      - type: 'null'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    OrderShippingMethod:
      type: object
      description: Shipping method selected for an order.
      properties:
        companyId:
          type: integer
        id:
          type: string
        name:
          type: string
          nullable: true
        fee:
          type: number
          nullable: true
        type:
          type: string
          enum:
            - custom
            - gosend
            - jne
            - kirimin_aja
            - ride_blitz
        currency:
          type: string
          nullable: true
        deliveryAddress:
          type: string
          nullable: true
        deliveryEmail:
          type: string
          nullable: true
        deliveryLatitude:
          type: number
          nullable: true
        deliveryLongitude:
          type: number
          nullable: true
        deliveryCity:
          type: string
          nullable: true
        deliveryProvince:
          type: string
          nullable: true
        deliveryZip:
          type: string
          nullable: true
        deliveryCountry:
          type: string
          nullable: true
        deliveryName:
          type: string
          nullable: true
        deliveryNotes:
          type: string
          nullable: true
        deliveryPhone:
          type: string
          nullable: true
        deliveryKecamatan:
          type: string
          nullable: true
        deliveryKecamatanId:
          type: integer
          nullable: true
        deliveryKelurahan:
          type: string
          nullable: true
        deliveryKelurahanId:
          type: integer
          nullable: true
        driverLicensePlate:
          type: string
          nullable: true
        driverName:
          type: string
          nullable: true
        driverPhone:
          type: string
          nullable: true
        driverPhoto:
          type: string
          nullable: true
        senderAddress:
          type: string
          nullable: true
        senderEmail:
          type: string
          nullable: true
        senderLatitude:
          type: number
          nullable: true
        senderLongitude:
          type: number
          nullable: true
        senderName:
          type: string
          nullable: true
        senderNotes:
          type: string
          nullable: true
        senderPhone:
          type: string
          nullable: true
        senderZip:
          type: string
          nullable: true
        senderCountry:
          type: string
          nullable: true
        senderProvince:
          type: string
          nullable: true
        senderCity:
          type: string
          nullable: true
        senderKecamatan:
          type: string
          nullable: true
        senderKelurahan:
          type: string
          nullable: true
        senderKecamatanId:
          type: integer
          nullable: true
        senderKelurahanId:
          type: integer
          nullable: true
        shippingStatus:
          type: string
          nullable: true
        trackingUrl:
          type: string
          nullable: true
        deliveryMethod:
          type: string
          nullable: true
        distance:
          type: number
          nullable: true
        packageWeight:
          type: number
          nullable: true
        packageLength:
          type: number
          nullable: true
        packageWidth:
          type: number
          nullable: true
        packageHeight:
          type: number
          nullable: true
        orderNo:
          type: string
          nullable: true
        bookingId:
          type: string
          nullable: true
        cancellationReason:
          type: string
          nullable: true
        retryBooking:
          type: boolean
        eventTimestamp:
          type: string
          nullable: true
        cancelledBy:
          type: string
          nullable: true
        cancelledSource:
          type: string
          nullable: true
        serviceType:
          type: string
          nullable: true
          enum:
            - INSTANT
            - EXPRESS
        itemName:
          type: string
          nullable: true
        itemType:
          type: string
          nullable: true
        itemValue:
          type: number
          nullable: true
        itemQty:
          type: integer
          nullable: true
        shippingNotes:
          type: string
          nullable: true
        insurance:
          type: boolean
        insuranceFee:
          type: number
          nullable: true
        insuranceAmount:
          type: number
          nullable: true
        discountAmount:
          type: number
          nullable: true
        discountPercentage:
          type: number
          nullable: true
        packageHandover:
          type: string
          nullable: true
          enum:
            - PICKUP
            - DROPOFF
        pickupSchedule:
          type: string
          format: date-time
          nullable: true
        vehicleType:
          type: string
          nullable: true
          enum:
            - TWO_WHEEL
            - FOUR_WHEEL
        courierGroup:
          type: string
          nullable: true
        selectedExpedition:
          type: string
          nullable: true
        selectedDelivery:
          type: string
          nullable: true
        bikeFuelType:
          type: string
          nullable: true
        pickupNumber:
          type: string
          nullable: true
        paymentId:
          type: string
          nullable: true
        paymentStatus:
          type: string
          nullable: true
        awb:
          type: string
          nullable: true
        serviceName:
          type: string
          nullable: true
        statusCode:
          type: integer
          nullable: true
        storeLocationId:
          type: string
          nullable: true
      additionalProperties: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: NOT_FOUND
              message: Resource not found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Create one in Settings > Developer.

````